import * as React from 'react';
import { ICombogridProps, ICombogridColModel, Combogrid } from '../combogrid';

const CombogridCompetencias = (props: ICombogridProps) => {

    let newProps: ICombogridProps = {
        ...props,
        url: () => "https://pc-1684.lggo.com.br/Gente/Produtos/FolhaDePagamento/Competencia/DadosPesquisa",
        colModel: () => [
            { columnName: "Descricao", label: "Descricao", width: "100px"},
            { columnName: "DescricaoGrupo", label: "Gruop de Competencia", width: "200px"}
        ],
        template: (selectedItem: any) : string => {
            return selectedItem.DescricaoGrupo;
        },
        searchField: () => "Descricao",
        width: 400
    }

    return (<Combogrid {...newProps} />)
}

export default CombogridCompetencias;