import * as React from 'react';
import IInputDefaultProps from '../inputDefaultProps'
 
export const Label = (props: IInputDefaultProps) => {
    let className = props.obrigatorio ? "obrigatorio" : "";
    let styles = {
        width: props.tamanho || "auto"
    }

    return (
        <div style={{display: "inline-table", width: 140}}>
            <div style={{display: "table-cell", textAlign: "right"}}>
                <label className={className} htmlFor={props.inputName || ""} style={styles}>
                    {props.children}     
                </label>
            </div>
            <div style={{display: "table-cell", color: "red", textAlign: "right" , width: 15}}> 
                {props.obrigatorio ? "●" : " "}
            </div>
        </div>
    );
}