import * as React from 'react';

type tiposDeBotao = "padrao" | "confirmar";

export interface IBotaoProps {
    tipo: tiposDeBotao,
    children?: any,
    onClick? (event: any): any
}

export const Botao = (props: IBotaoProps) => {
    let className = "";
    switch (props.tipo) {
        case "padrao": className = "botaoSimples" ;break;
        case "confirmar": className = "botaoSimples botaoConfirmar" ;break;
        default: break;
    }  

    const styles = {
        width: "auto"
    }

    return (<button className={className} onClick={props.onClick} style={styles}>{props.children}</button>);
}
